Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.statistics.management
Interface StatisticsServiceMBean

public interface StatisticsServiceMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static CounterInfo` | `counterSnapshot` Gets a counter snapshot for the local server.
`static CounterInfo[]` | `counterSnapshotAll` Gets a counter snapshot for the all servers in the cluster.
`static int` | `moduleBHTUPSThreshold` BHTUPS 95% warning and limit exceeded alarm threshold setting for the modules transaction group.
`static int` | `platformBHTUPSThreshold` BHTUPS 95% warning and limit exceeded alarm threshold setting for the platform transaction group.
`static int` | `storeInterval` Interval in number of seconds that statistics data is written to DB.

Method Summary
`void` | `addStatisticType(int id, String name)` Adds a statistic type.
`void` | `createLicenseLimitLog(String filename, String startDate, String endDate)` Create a license limit supervision log that contains information about the busy hour transaction rate for each transaction group and day during the time period specified.
`void` | `createWeeklyReport(String serviceProviderIdentifier, String startDate, String fileName, int decimals)` Saves a weekly report to a text file.
`CounterInfo` | `getCounterSnapshot()`
`CounterInfo[]` | `getCounterSnapshotAll()`
`int` | `getModuleBHTUPSThreshold()`
`int` | `getPlatformBHTUPSThreshold()`
`StatisticsInfo[]` | `getStatistics(String serverName, int statisticType, String fromDate, String toDate, String serviceProviderIdentifier, String applicationIdentifier)` Gets statistics based on filter criteria for a specific account.
`int` | `getStoreInterval()`
`String` | `getSystemStatistics(int minutes)` Gets system statistics for the last minute(s).
`StatInfo[]` | `listStatistics(int statisticType, long fromDate, long toDate, String serviceProviderIdentifier, String applicationIdentifier)` Gets statistics based on filter criteria for a specific account.
`StatisticTypeDescriptor[]` | `listStatisticTypeDescriptors()` Lists all available statistic types with descriptor structures
`String` | `listStatisticTypes()` Lists all available statistic types
`void` | `removeStatisticType(int id)` Removes a statistic type.
`void` | `saveAccountStatisticsToFile(int statisticType, String fromDate, String toDate, String serviceProviderIdentifier, String applicationIdentifier, String fileName)` Saves statistics data to a file grouped by account based on specified filter criteria.
`void` | `saveStatisticsToFile(String serverName, int statisticType, String fromDate, String toDate, String fileName)` Saves statistics data to a file on filter criteria.
`void` | `setModuleBHTUPSThreshold(int threshold)`
`void` | `setPlatformBHTUPSThreshold(int threshold)`
`void` | `setStoreInterval(int seconds)`

Field Detail

### counterSnapshot

    public static final CounterInfo counterSnapshot

  Gets a counter snapshot for the local server. Note that the counters are reset periodically and only new statistics information since the last reset is included in the result.

### counterSnapshotAll

    public static final CounterInfo[] counterSnapshotAll

  Gets a counter snapshot for the all servers in the cluster. Note that the counters are reset periodically and only new statistics information since the last reset is included in the result.

### moduleBHTUPSThreshold

    public static final int moduleBHTUPSThreshold

  BHTUPS 95% warning and limit exceeded alarm threshold setting for the modules transaction group. Setting threshold to 0 disables warning and exceeded alarming.

  See Also:
    Constant Field Values

### platformBHTUPSThreshold

    public static final int platformBHTUPSThreshold

  BHTUPS 95% warning and limit exceeded alarm threshold setting for the platform transaction group. Setting threshold to 0 disables warning and exceeded alarming.

  See Also:
    Constant Field Values

### storeInterval

    public static final int storeInterval

  Interval in number of seconds that statistics data is written to DB.

  See Also:
    Constant Field Values

Method Detail

### addStatisticType

    public void addStatisticType(int id,
                                 String name)
                          throws ManagementException

  Adds a statistic type.

  Parameters:
    `id` - Id for this statistics. The id must not be already used.
    `name` - Descriptive name for the statistics type
  Throws:
    `ManagementException`

### createLicenseLimitLog

    public void createLicenseLimitLog(String filename,
                                      String startDate,
                                      String endDate)
                               throws ManagementException

  Create a license limit supervision log that contains information about the busy hour transaction rate for each transaction group and day during the time period specified.

  Parameters:
    `filename` - Name of file. The file will be created on the local file system of the server.
    `startDate` - Start date specified as yyyy-mm-dd
    `endDate` - End date specified as yyyy-mm-dd
  Throws:
    `ManagementException`

### createWeeklyReport

    public void createWeeklyReport(String serviceProviderIdentifier,
                                   String startDate,
                                   String fileName,
                                   int decimals)
                            throws ManagementException

  Saves a weekly report to a text file.

  Parameters:
    `serviceProviderIdentifier` - Service provider account.
    `startDate` - From date specified as yyyy-mm-dd hh:mm
    `fileName` - Name of file. The file will be created on the local file system of the server.
    `decimals` - Number of decimals for transactions/second.
  Throws:
    `ManagementException`

### getCounterSnapshot

    public CounterInfo getCounterSnapshot()
                                   throws ManagementException

  Throws:
    `ManagementException`

### getCounterSnapshotAll

    public CounterInfo[] getCounterSnapshotAll()
                                        throws ManagementException

  Throws:
    `ManagementException`

### getModuleBHTUPSThreshold

    public int getModuleBHTUPSThreshold()
                                 throws ManagementException

  Throws:
    `ManagementException`

### getPlatformBHTUPSThreshold

    public int getPlatformBHTUPSThreshold()
                                   throws ManagementException

  Throws:
    `ManagementException`

### getStatistics

    public StatisticsInfo[] getStatistics(String serverName,
                                          int statisticType,
                                          String fromDate,
                                          String toDate,
                                          String serviceProviderIdentifier,
                                          String applicationIdentifier)
                                   throws ManagementException

  Gets statistics based on filter criteria for a specific account.

  Parameters:
    `serverName` - The server that generated the statistics. (optional)
    `statisticType` - Type of statistics. Use listStatisticTypes to obtain available types. Use -1 to get statistics for all available types.
    `fromDate` - From date specified as yyyy-mm-dd hh:mm (optional)
    `toDate` - To date specified as yyyy-mm-dd hh:mm (optional)
    `serviceProviderIdentifier` - Service provider account (optional)
    `applicationIdentifier` - Application account (optional)
  Returns:
    Statistics information.
  Throws:
    `ManagementException`

### getStoreInterval

    public int getStoreInterval()
                         throws ManagementException

  Throws:
    `ManagementException`

### getSystemStatistics

    public String getSystemStatistics(int minutes)
                               throws ManagementException

  Gets system statistics for the last minute(s).

  Parameters:
    `minutes` - Minutes
  Returns:
    Statistics information.
  Throws:
    `ManagementException`

### listStatistics

    public StatInfo[] listStatistics(int statisticType,
                                     long fromDate,
                                     long toDate,
                                     String serviceProviderIdentifier,
                                     String applicationIdentifier)
                              throws ManagementException

  Gets statistics based on filter criteria for a specific account.

  Parameters:
    `statisticType` - Type of statistics. Use listStatisticTypes to obtain available types. Use -1 to get statistics for all available types.
    `fromDate` - From date in milliseconds. Use -1 for no lower date limit.
    `toDate` - To date in milliseconds. Use -1 for no upper date limit.
    `serviceProviderIdentifier` - Service provider account (optional)
    `applicationIdentifier` - Application account (optional)
  Returns:
    Statistics information.
  Throws:
    `ManagementException`

### listStatisticTypeDescriptors

    public StatisticTypeDescriptor[] listStatisticTypeDescriptors()
                                                           throws ManagementException

  Lists all available statistic types with descriptor structures

  Throws:
    `ManagementException`

### listStatisticTypes

    public String listStatisticTypes()
                              throws ManagementException

  Lists all available statistic types

  Returns:
    All statistic type id's including the descriprive names.
  Throws:
    `ManagementException`

### removeStatisticType

    public void removeStatisticType(int id)
                             throws ManagementException

  Removes a statistic type.

  Parameters:
    `id` - Id for this statistics. The id must not be already used.
  Throws:
    `ManagementException`

### saveAccountStatisticsToFile

    public void saveAccountStatisticsToFile(int statisticType,
                                            String fromDate,
                                            String toDate,
                                            String serviceProviderIdentifier,
                                            String applicationIdentifier,
                                            String fileName)
                                     throws ManagementException

  Saves statistics data to a file grouped by account based on specified filter criteria.

  Parameters:
    `statisticType` - Type of statistics. Use listStatisticTypes to obtain available types. Use -1 to get statistics for all available types.
    `fromDate` - From date specified as yyyy-mm-dd hh:mm (optional)
    `toDate` - To date specified as yyyy-mm-dd hh:mm (optional)
    `serviceProviderIdentifier` - Service provider account (optional)
    `applicationIdentifier` - Application account (optional)
    `fileName` - Name of file. The file will be created on the local file system of the server.
  Throws:
    `ManagementException`

### saveStatisticsToFile

    public void saveStatisticsToFile(String serverName,
                                     int statisticType,
                                     String fromDate,
                                     String toDate,
                                     String fileName)
                              throws ManagementException

  Saves statistics data to a file on filter criteria.

  Parameters:
    `serverName` - The server that generated the statistics. (optional)
    `statisticType` - Type of statistics. Use listStatisticTypes to obtain available types. Use -1 to get statistics for all available types.
    `fromDate` - From date specified as yyyy-mm-dd hh:mm (optional)
    `toDate` - To date specified as yyyy-mm-dd hh:mm (optional)
    `fileName` - Name of file. The file will be created on the local file system of the server.
  Throws:
    `ManagementException`

### setModuleBHTUPSThreshold

    public void setModuleBHTUPSThreshold(int threshold)
                                  throws ManagementException

  Throws:
    `ManagementException`

### setPlatformBHTUPSThreshold

    public void setPlatformBHTUPSThreshold(int threshold)
                                    throws ManagementException

  Throws:
    `ManagementException`

### setStoreInterval

    public void setStoreInterval(int seconds)
                          throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD